package httpproto

import (
	"time"

	"github.com/it-novum/nsta/gearman"
)

// HTTPGearmanMessage is used to transfer gearman.Message's over http
type HTTPGearmanMessage struct {
	SatelliteID int
	APIKey      string
	Messages    []*gearman.Message
	LastExport  time.Time
}

// ExportData is used to transfer Tars over http
type ExportData struct {
	SatelliteID int
	APIKey      string
	// TARBase64 contains the base64 encoded gzip compressed tar archive, but is empty on request
	TARBase64  string
	LastExport time.Time
}
